Puzzle / Developers
API referenceAccounts

Get Financial Account Balances

GET /company/{id}/accounts/balances

GET/company/{id}/accounts/balances

Path Parameters

id*string

The company ID

Length1 <= length

Query Parameters

dates*string|array<string>

Response Body

application/json

curl -X GET "https://example.com/company/string/accounts/balances?dates=string"
{  "balancesByDate": [    {      "date": "string",      "balances": [        {          "balance": {            "amount": "string",            "currency": "str"          },          "date": "string",          "derivedFrom": "OfficialInstitutionBalance",          "account": {            "id": "string",            "nativeId": "string",            "type": "Investment",            "name": "string",            "mask": "string",            "currentBalance": {              "amount": "string",              "currency": "str"            },            "status": "Syncing",            "ingestStatus": "Syncing",            "connectionStatus": "OK",            "lastUpdatedAt": "string",            "pathToDetails": "string"          }        }      ],      "totalCash": {        "amount": "string",        "currency": "str"      }    }  ]}

Schema refreshed 2026-11-11T18:57:48.657Z